#ifndef CRollMenu_H
#define CRollMenu_H

#include <QWidget>

#ifdef DISPLAY_SMALL
#include<ui_IRollMenu_small.h>
#else                            //DISPLAY_SMALL
#include<ui_IRollMenu_large.h>
#endif                           //DISPLAY_SMALL

class CCanvas;
class IGps;

class CRollMenu : public QWidget, private Ui::IRollMenu
{
    Q_OBJECT
    public:
        CRollMenu(QWidget *parent = 0);
        virtual ~CRollMenu();

    protected:

    private:
        void restoreMenu();
    private slots:
        void slotMenu(bool bState);
        void slotWpt();
        void slotTrack(bool bState);
        void slotGps();
        void slotTrackRecord();
        void slotTrackPause();
        void slotTrackStop();
};

#endif // CRollMenu_H
